Undeploy the 'Cologne Blue' and 'Modern' skins from Wikimedia production, as no-one is keeping them working
Closed, DeclinedPublic

Description

In https://meta.wikimedia.org/wiki/Turning_off_outdated_skins when we killed five of the then-nine skins available on the site, originally these two were retained as unsupported-by-WMF because volunteers said they would keep them running and up-to-date.

However, this hasn't happened in practice. Various key features and extensions don't work, or don't work well, in these skins, including notifications, the visual editor, and others. Occasionally, someone shouts a lot (and rightly so), and WMF staffers and others try to apply a quick fix to keep things sort-of working, but it's against our explicit statement that we wouldn't do this, and it strengthens the incorrect understanding that we do try to keep them running.

Maybe we should admit reality, and remove them from production rather than falsely (albeit implicitly) claiming that they work by continuing to ship them?

Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 14 2015, 1:14 AM
revi added a subscriber: revi.Oct 14 2015, 6:23 AM
matmarex added a subscriber: matmarex.EditedOct 14 2015, 1:09 PM

I am still sort of kind of maintaining them both (you'll notice that I joined both of their projects). No one seems to be filing any bugs though. I tried to help the Echo team a bit with their recent problems (I think I managed to merge a patch), but mostly they solved them swiftly enough without me.

Jdlrobson triaged this task as Normal priority.Oct 14 2015, 4:22 PM
Jdlrobson added a subscriber: Jdlrobson.

We are either aspiring to have a skin system that doesn't need maintaining or minimal maintaining (which can be achieved by having lots of skin choices deployed) or to simply support Vector/Minerva (mobile skin).

In practice it seems to be the latter but it would be good to have clarity.

The reading team in practice is only supporting Vector/Minerva for our projects and Monobook in extreme cases (but only when trivial).

I am still sort of kind of maintaining them both

Does that make this task a WONTFIX/declined?

We are either aspiring to have a skin system that doesn't need maintaining or minimal maintaining (which can be achieved by having lots of skin choices deployed)

Is T114071: Let's discuss the skin creation process at Wikimedia-Developer-Summit-2016 related?

or to simply support Vector/Minerva (mobile skin).
In practice it seems to be the latter but it would be good to have clarity.

Where to have this discussion and who to drive it?

when we killed five of the then-nine extensions available on the site

Do we have an assessment of what we gained with that operation, in hindsight?

I am still sort of kind of maintaining them both

Does that make this task a WONTFIX/declined?

We are either aspiring to have a skin system that doesn't need maintaining or minimal maintaining (which can be achieved by having lots of skin choices deployed)

Is T114071: Let's discuss the skin creation process at Wikimedia-Developer-Summit-2016 related?

or to simply support Vector/Minerva (mobile skin).
In practice it seems to be the latter but it would be good to have clarity.

Where to have this discussion and who to drive it?

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 27 2016, 9:22 PM

Shouldn't new features work with every skin (In theory?), skins shouldn't have to be modified to work with new features (In principle).

Krinkle updated the task description. (Show Details)Feb 27 2016, 11:46 PM
Nemo_bis closed this task as Declined.Feb 28 2016, 8:07 AM

Shouldn't new features work with every skin (In theory?), skins shouldn't have to be modified to work with new features

Indeed. Also, we ought to have some data on the past iteration of this skin-killing experiment, before we do a new one:

when we killed five of the then-nine extensions available on the site

Do we have an assessment of what we gained with that operation, in hindsight?

Closing for now, we can reopen when/if we actually have a rationale.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptFeb 28 2016, 8:07 AM
Glaisher renamed this task from De-deploy the 'Cologne Blue' and 'Modern' skins from Wikimedia production, as no-one is keeping them working to Undeploy the 'Cologne Blue' and 'Modern' skins from Wikimedia production, as no-one is keeping them working.Mar 1 2016, 3:44 PM